Package net.shibboleth.idp.saml.audit.impl

# Class MetadataProtocolAuditExtractor

java.lang.Object
net.shibboleth.idp.saml.audit.impl.MetadataProtocolAuditExtractor

All Implemented Interfaces:
  `Function<ProfileRequestContext,Object>`

public class MetadataProtocolAuditExtractor extends Object implements Function<ProfileRequestContext,Object>
`Function` that returns the Metadata protocol (as defined by the bean called `shibboleth.MetadataLookup.Protocol`).

## Constructor Summary

Constructors
Constructor
Description
`MetadataProtocolAuditExtractor()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### MetadataProtocolAuditExtractor

public MetadataProtocolAuditExtractor()

## Method Details

### apply

@Nullable public Object apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Object>`